function CellArray2TextFile(TextFileName, CellArray)

%% -----------------------------------------------------------------------------------------------------------
% Version:      01/09/2015    
% (c):          Vicente Calabuig Simón
%               vicasim@etsid.upv.es
%
% 1.- Utilidad:
%
%     Escribe en un fichero de texto la información de un CellArray en memoria.
%
% 2.- Parámetros de entrada:
% 
%     TextFileName:     Nombre que se le quiere dar al fichero de texto (debe contener la extensión, p.e : .txt)
%     CellArray:        CellArray en memoria cuya información quiere escribirse en un fichero de texto
%
% 3.- Parámetros de salida:
%
%     [/]  Fichero .txt, situado en la carpeta de trabajo actual, con la información del CellArray.      
%
% 4.- Ejemplo de uso:
%       
%     CellArray = {'Numeros', 'Letras', 'Palabras'; 1, 'A', 'Manzana';  2, 'B', 'Platano'; 3, 'C', 'Fresa'};                     
%     CellArray2TextFile('Numeros_Letras_Palabras.txt',CellArray);       
%% -----------------------------------------------------------------------------------------------------------------------------------

% Apertura del fichero de salida:
output_file = fopen(TextFileName,'w');
output = cell(size(CellArray,1),size(CellArray,2));

% Evaluación y escritura del CellArray.
[filas, columnas] = size(CellArray);
for i = 1 : filas
    for j = 1 :columnas
        % Comprobacion del contenido de la celda {i, j}: 
        if numel(CellArray{i,j}) == 0
            output{i,j} = '';
       % Si es un número, lo convertimos a cadena de carácteres:
        elseif isnumeric(CellArray{i,j}) || islogical(CellArray{i,j})
            output{i,j} = num2str(CellArray{i,j}(1,1));
       % Si es un caracter o una cadena de caracteres, no es necesaria ninguna conversión:
        elseif ischar(CellArray{i,j})
            output{i,j} = CellArray{i,j};
        end;  
        % Escribimos la celda {i, j} al fichero de salida. 
        if j < columnas
            % Todavía no hemos llegado al final de la línea, añadimos siguiente celda a la derecha:
            fprintf(output_file,['%s','\t'],output{i,j});
        else
            % Cambio de línea:
            fprintf(output_file,'%s\r\n',output{i,j});
        end
    end;
end;
% Cierre del fichero de salida:
fclose(output_file);




